Skip to main content
GET
/
v1
/
price
Get Price
curl --request GET \
  --url https://api.polydata.live/v1/price \
  --header 'Authorization: <authorization>'
{
  "data.best_bid": 123,
  "data.best_ask": 123,
  "data.midpoint": 123,
  "data.spread": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.polydata.live/llms.txt

Use this file to discover all available pages before exploring further.

Returns top-of-book price information.

Authentication

Authorization
string
required
Bearer pd_live_xxxxx

Query Parameters

asset_id
string
required
Outcome token ID
timestamp
number
Unix ms. If omitted, returns latest.

Response

data.best_bid
number
data.best_ask
number
data.midpoint
number
Average of bid and ask
data.spread
number
ask − bid

Example

curl "https://api.polydata.live/v1/price?asset_id=xxx&timestamp=1776241000000" \
  -H "Authorization: Bearer pd_live_xxxxx"
{
  "success": true,
  "data": {
    "asset_id": "13915689317269...",
    "timestamp": 1776241000000,
    "datetime": "2026-04-15 08:16:40.000",
    "best_bid": 0.502,
    "best_ask": 0.504,
    "midpoint": 0.503,
    "spread": 0.002
  }
}